textproc/serd - The NetBSD Packages Collection

Lightweight C library for RDF syntax

Serd is a lightweight C library for RDF syntax which supports reading and
writing Turtle and NTriples.

Serd is not intended to be a swiss-army knife of RDF syntax, but rather is
suited to resource limited or performance critical applications (e.g. converting
many gigabytes of NTriples to Turtle), or situations where a simple
reader/writer with minimal dependencies is ideal (e.g. in LV2 implementations or
embedded applications).

Build dependencies

pkgtools/cwrappers lang/python39 textproc/gsed devel/pkgconf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfserd-0.30.10.tgz
NetBSD 8.0earmv7hfserd-0.30.10.tgz
NetBSD 8.0earmv7hfserd-0.30.10.tgz
NetBSD 8.0i386serd-0.30.10.tgz
NetBSD 8.0i386serd-0.30.10.tgz
NetBSD 8.0powerpcserd-0.30.10.tgz
NetBSD 8.0powerpcserd-0.30.10.tgz
NetBSD 8.0powerpcserd-0.30.10.tgz
NetBSD 8.0powerpcserd-0.30.10.tgz
NetBSD 8.0x86_64serd-0.30.10.tgz
NetBSD 8.0x86_64serd-0.30.10.tgz
NetBSD 9.0aarch64serd-0.30.10.tgz
NetBSD 9.0aarch64serd-0.30.10.tgz
NetBSD 9.0aarch64serd-0.30.10.tgz
NetBSD 9.0alphaserd-0.30.10.tgz
NetBSD 9.0alphaserd-0.30.10.tgz
NetBSD 9.0alphaserd-0.30.10.tgz
NetBSD 9.0earmserd-0.30.10.tgz
NetBSD 9.0earmserd-0.30.10.tgz
NetBSD 9.0earmserd-0.30.10.tgz
NetBSD 9.0earmv6hfserd-0.30.10.tgz
NetBSD 9.0earmv6hfserd-0.30.10.tgz
NetBSD 9.0earmv6hfserd-0.30.10.tgz
NetBSD 9.0earmv7hfserd-0.30.10.tgz
NetBSD 9.0earmv7hfserd-0.30.10.tgz
NetBSD 9.0earmv7hfserd-0.30.10.tgz
NetBSD 9.0earmv7hfserd-0.30.10.tgz
NetBSD 9.0i386serd-0.30.10.tgz
NetBSD 9.0i386serd-0.30.10.tgz
NetBSD 9.0m68kserd-0.30.10.tgz
NetBSD 9.0m68kserd-0.30.10.tgz
NetBSD 9.0mips64ebserd-0.30.10.tgz
NetBSD 9.0mips64ebserd-0.30.4.tgz
NetBSD 9.0mips64ebserd-0.30.6.tgz
NetBSD 9.0mips64ebserd-0.30.10.tgz
NetBSD 9.0mips64ebserd-0.30.10.tgz
NetBSD 9.0mipselserd-0.30.10.tgz
NetBSD 9.0mipselserd-0.30.6.tgz
NetBSD 9.0mipselserd-0.30.10.tgz
NetBSD 9.0mipselserd-0.30.10.tgz
NetBSD 9.0powerpcserd-0.30.10.tgz
NetBSD 9.0powerpcserd-0.30.10.tgz
NetBSD 9.0powerpcserd-0.30.10.tgz
NetBSD 9.0powerpcserd-0.30.10.tgz
NetBSD 9.0sh3elserd-0.30.10.tgz
NetBSD 9.0sh3elserd-0.30.6.tgz
NetBSD 9.0sh3elserd-0.30.10.tgz
NetBSD 9.0sh3elserd-0.30.10.tgz
NetBSD 9.0sparc64serd-0.30.10.tgz
NetBSD 9.0sparc64serd-0.30.10.tgz
NetBSD 9.0sparc64serd-0.30.10.tgz
NetBSD 9.0sparcserd-0.30.10.tgz
NetBSD 9.0sparcserd-0.30.4.tgz
NetBSD 9.0sparcserd-0.30.6.tgz
NetBSD 9.0sparcserd-0.30.10.tgz
NetBSD 9.0sparcserd-0.30.10.tgz
NetBSD 9.0x86_64serd-0.30.10.tgz
NetBSD 9.0x86_64serd-0.30.10.tgz
NetBSD 9.0x86_64serd-0.30.10.tgz
NetBSD 9.0x86_64serd-0.30.10.tgz
NetBSD 9.0x86_64serd-0.30.10.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

debug
Enable debugging facilities in the package.
doc
Include the documentation.
tests
Build and install tests.
valgrind
Enable Valgrind debugging and profiling support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.